## GwyVRuler GwyVRuler — Vertical ruler, similar to GtkRuler |

## Functions

GtkWidget * | gwy_vruler_new ()

## Types and Values

struct | GwyVRuler
struct | GwyVRulerClass

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkObject
                ╰── GtkWidget
                    ╰── GwyRuler
                        ╰── GwyVRuler

## Implemented Interfaces

GwyVRuler implements AtkImplementorIface and GtkBuildable.

## Includes

    #include <libgwydgets/gwydgets.h>

## Description

Please see GwyRuler for differences from GtkVRuler.

A specific GwyVRuler feature is that it's drawn vertically including text, like a rotated horizontal ruler.

## Functions

### gwy_vruler_new ()

    GtkWidget *
    gwy_vruler_new (void);

Creates a new GwyVRuler.

#### Returns

The new ruler as a GtkWidget.

## Types and Values

### struct GwyVRuler

    struct GwyVRuler;

### struct GwyVRulerClass

    struct GwyVRulerClass {
        GwyRulerClass parent_class;

        void (*reserved1)(void);
    };

## See Also

GwyHRuler -- horizontal ruler